# Get Tokens List

## Get tokens list for a network

<mark style="color:blue;">`GET`</mark> `https://api.paraswap.io/tokens/:network`

This endpoint allows you to obtain a list of tokens curated by Velora.

#### Path Parameters

| Name    | Type   | Description                                                                                                                                                                                                       |
| ------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| network | number | <p>Network ID. (Mainnet - 1, Optimism - 10, BSC - 56, Polygon - 137, Base - 8453, Arbitrum - 42161, Avalanche - 43114, Gnosis - 100, Sonic - 146, Unichain - 130, Plasma - 9745).<br>Default: <code>1</code>.</p> |

{% tabs %}
{% tab title="200 List of available tokens" %}

```
{
  "tokens": [
    {
      "symbol": "ETH",
      "address": "0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE",
      "decimals": 18,
      "img": "https://img.paraswap.network/ETH.png",
      "network": 1
    },
    {
      "symbol": "USDT",
      "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
      "decimals": 6,
      "img": "https://img.paraswap.network/USDT.png",
      "network": 1
    }
  ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="danger" %}
Velora's API is not limited to the tokens that are listed on the tokens endpoint. Tokens endpoint is merely a list of tokens curated by Velora. This list is not actively maintained and will soon be deprecated. To use a more up-to-date list of tokens it is suggested to use [token-lists](https://tokenlists.org/).&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.velora.xyz/api/get-tokens-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
